#include "prolog.h"
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include "errors.h"
#include "rpctypes.h"
#include "servdef.h"
#include "toolkit.h"

void tmonitorCallback(int id,int cc)
{
  
  if (cc) 
  {
	printf("ATTACH %s %s %s %s: %s\n>",
		    connTable[id]->context,connTable[id]->name,connTable[id]->deviceName,connTable[id]->prop,
			RPCLastErrorString);
  }
}
int tmonitor(void *buf,char *dev,char *prp,char *fmt,int len,int tmr)
{
  int id;
  DTYPE dout;

  dout.dFormat = getFormatType(fmt);
  dout.dArrayLength = len;
  dout.dTag[0] = 0;
  dout.data.vptr = buf;
  id = AttachLink(dev,prp,&dout,NULL,CA_READ,tmr,tmonitorCallback,CM_POLL);
  return id < 0 ? -id : 0;
}
int tget(void *buf,char *dev,char *prp,char *fmt,int len,int tmr)
{
  DTYPE dout;

  dout.dFormat = getFormatType(fmt);
  dout.dArrayLength = len;
//  dout.dTag[0] = 0;
  dout.data.vptr = buf;
  return ExecLinkEx(dev,prp,&dout,NULL,CA_READ,tmr);
}
