#include "app_version.h"
#include "prolog.h"
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "servdef.h"
#include "rpctypes.h"
#include "toolkit.h"
#include "unixcmd.h"
#ifdef SEDAC
# include "sedac.h"
#endif

extern int BroadcastServer;
extern int GlobalHeartbeat;

void doinit(void);
//int tget(void *buf,char *dev,char *prp,char *fmt,int len,int tmr);
int main(int argc, char *argv[])
{
  int cc;
  float f;
  switch (argc)                           /* initial debug level */
  {           /* on UNIX or DOS stations: set debug = 1 (2,or 3) */
    case 2:              /* will dynamically set the debug level */
      NGdebug = atoi(argv[1]);
      break;
    default:
      NGdebug = 0;                              /* default level */
  }
  printf("Server running (debug level %d)\n",NGdebug);

//  StartupDebug = 0;
  MaxRPCTransportSize = 1024*64*16;
  GlobalHeartbeat = 1;
# ifdef MULTITHREADED
  useMultiThreadedBackgroundTasks = TRUE;
# endif  
  AssignFecApplicationInfo(APPV_MAJOR,APPV_MINOR,APPV_REVISION);
  /* init RPC server: */
  if ((cc=SystemInit(TRUE)) != 0) { printf("init error: %s\n",erlst[cc]); exit(1); }

  /* call FEC specific initialization: */
  doinit();
  for(;;)
  {
    SystemCycle(TRUE);
  }
  return 0;
}
