# Makefile for TINE server generated on Fri Jan 26 18:01:41 2001
# SUN:                  CC = CC         CCL = CC         LM = 
# SGI,OSF,LINUX,FreeBSD CC = cc         CCL = cc         LM = -lm
# ULT                   CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:                   CC = cc -Aa     CCL = cc         LM = -lM
# SOLARIS               CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
TINEEXE = rpcserv
TINELIB = libtine.a
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/cprolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/database.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/almsrv.h

CPP = CC -c -compat -I${INCL}
CC = CC -c -compat -I${INCL}
CCL = CC -compat
LM = -lm -lsocket -lnsl -lposix4 -ltine

${TINEEXE}: devsrv.o caseqm.o lpceqm.o arctools.o
	${CCL} -o ${TINEEXE} devsrv.o caseqm.o lpceqm.o arctools.o ${LM}
	chmod a+s ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

caseqm.o: caseqm.c caseqm.h ${HDRS}
	${CC} caseqm.c

lpceqm.o: lpceqm.c lpceqm.h ${HDRS}
	${CC} lpceqm.c

arctools.o: arctools.c arctools.h ${HDRS}
	${CC} arctools.c

clean:
	rm *.o
